Subject: Re: [PATCH 4/4] forcedeth: version bump

From: Jeff Garzik <[email-masked]>
Date: Thu, 24 May 2007 18:03:05 -0400

Ayaz Abdulla wrote:
> This patch bumps up the version.
> 
> Signed-off-by: Ayaz Abdulla <[email-masked]>
> 
> 
> ------------------------------------------------------------------------
> 
> --- old/drivers/net/forcedeth.c	2007-05-21 20:09:03.000000000 -0400
> +++ new/drivers/net/forcedeth.c	2007-05-21 20:10:32.000000000 -0400
> @@ -112,6 +112,7 @@
>   *	0.58: 30 Oct 2006: Added support for sideband management unit.
>   *	0.59: 30 Oct 2006: Added support for recoverable error.
>   *	0.60: 20 Jan 2007: Code optimizations for rings, rx & tx data paths, and stats.
> + *	0.61: 21 May 2007: Fix power management code, cpu mask, and added vitesse phy.
>   *
>   * Known bugs:
>   * We suspect that on some hardware no TX done interrupts are generated.

The standard for kernel drivers these days is to rely on the 
permanent-for-eternity kernel changelog stored in git.

So please just remove the entire history from the C source code.  It's 
just patch noise...

> @@ -128,7 +129,7 @@
>  #else
>  #define DRIVERNAPI
>  #endif
> -#define FORCEDETH_VERSION		"0.60"
> +#define FORCEDETH_VERSION		"0.61"
>  #define DRV_NAME			"forcedeth"

obviously the rest of this patch is OK.  But due to earlier patch 
rejections, I will not apply it, and will assume it will reappear when 
you resend other patches.

Finally, I would suggest keeping up with the kernel's "bug fix" 
2.6.X-rcY release candidate cycles.  These changes ARE bug fixes, I 
agree, but they still should not be appearing at the last minute.  That 
gives us little time to ensure the fixes do not cause regressions.

	Jeff